Bug 177329 - no drivers for epson R2400
no drivers for epson R2400
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-01-09 13:12 EST by Benjamin Kosnik
Modified: 2013-08-09 01:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-10 04:56:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kosnik 2006-01-09 13:12:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:

The Epson R2400, and I suspect the other inkject printers/plotters in this family as well, can be made to work with FC4+.

As it stands, on FC4, if you plug in this printer via USB eggcups comes up, and says: 

You have plugged in an Epson R2400, but we can't find drivers for it. Please select from the following:

blah blah blah.

However, there are drivers for this printer. See:
http://www.avasys.jp/english/linux_e/dl_ink.html

This package, once downloaded and installed manuall via:

rpm -i pips-spr2400-cups-2.6.4-1.i386.rpm

/usr/sbin/lpadmin -p spr2400 -E -v ekplp:/var/ekpd/ekplp0 -m ekspr2400.ppd

works perfectly: the driver supports sizes up to A3+. 

This is a high-res photo/plotter imaging device. It has a lot of artistic and scientific uses... it would be nice if it was supported in FC5 out of the box.

Version-Release number of selected component (if applicable):
cpus-1.1.23-15.3

How reproducible:
Always

Steps to Reproduce:
1. Plug in printer.
2.
3.
  

Actual Results:  
"Driver not found"

Expected Results:  
You have plugged in an Epson R2400 and eggcups configured it for you.

Additional info:
Comment 1 Tim Waugh 2006-01-09 13:29:13 EST
Hmm, does this have a proprietary component?  The EAPL has language that seems
to indicate it does.  We can't ship proprietary bits.
Comment 2 Benjamin Kosnik 2006-01-09 16:08:45 EST
I'm not quite sure. There is an epson NDA, along with the GPL text.

%rpm -ql pips-spr2400-cups-2.6.4-1
/etc/ekpdrc
/usr/bin/ekpstm
/usr/lib/cups/backend/ekplp
/usr/lib/cups/filter/pipstoprinter
/usr/lib/cups/filter/rastertopips
/usr/lib/libspr2400.so
/usr/lib/libspr2400R1.so
/usr/lib/libspr2400R2.so
/usr/local/EPKowa/SPR2400/cupsopt.csv
/usr/local/EPKowa/SPR2400/inst-rc_d.sh
/usr/local/EPKowa/SPR2400/libspr2400.readme
/usr/local/EPKowa/SPR2400/rc.d/ekpd.debian
/usr/local/EPKowa/SPR2400/rc.d/ekpd.local.slackware
/usr/local/EPKowa/SPR2400/rc.d/ekpd.redhat
/usr/local/EPKowa/SPR2400/rc.d/ekpd.slackware
/usr/local/EPKowa/SPR2400/readme-spr2400-cups
/usr/local/EPKowa/SPR2400/scripts/en.lc
/usr/local/EPKowa/SPR2400/scripts/inst-cups-post.sh
/usr/local/EPKowa/SPR2400/scripts/ja.lc
/usr/local/EPKowa/SPR2400/scripts/setup-cups.sh
/usr/local/EPKowa/printer/ekpd
/usr/local/EPKowa/printer/paper_list.csv
/usr/share/cups/model/ekspr2400.ppd
/usr/share/doc/pips-spr2400-cups-2.6.4
/usr/share/doc/pips-spr2400-cups-2.6.4/AUTHORS
/usr/share/doc/pips-spr2400-cups-2.6.4/COPYING
/usr/share/doc/pips-spr2400-cups-2.6.4/COPYING.LIB
/usr/share/doc/pips-spr2400-cups-2.6.4/ChangeLog
/usr/share/doc/pips-spr2400-cups-2.6.4/EAPL.en.txt
/usr/share/doc/pips-spr2400-cups-2.6.4/EAPL.ja.txt
/usr/share/doc/pips-spr2400-cups-2.6.4/README
/usr/share/locale/de/LC_MESSAGES/pips-spr2400.mo
/usr/share/locale/en/LC_MESSAGES/pips-spr2400.mo
/usr/share/locale/es/LC_MESSAGES/pips-spr2400.mo
/usr/share/locale/fr/LC_MESSAGES/pips-spr2400.mo
/usr/share/locale/it/LC_MESSAGES/pips-spr2400.mo
/usr/share/locale/ja/LC_MESSAGES/pips-spr2400.mo
/usr/share/locale/ko/LC_MESSAGES/pips-spr2400.mo
/usr/share/locale/nl/LC_MESSAGES/pips-spr2400.mo
/usr/share/locale/pt/LC_MESSAGES/pips-spr2400.mo
/usr/share/locale/zh/LC_MESSAGES/pips-spr2400.mo
/usr/share/locale/zh_TW/LC_MESSAGES/pips-spr2400.mo
/var/ekpd/ekplp0

Fedora/Red Hat seem to ship with a lot of existing Epson drivers, but not this
one. Would this one have different legal standing than the included ones?

Anyway.

I see some messages in the gimp-print/gutenprint ChangeLog about adding support
for this printer, in google for "gimp print r2400 epson". Maybe this is separate
from the avasys driver?

When FC5test2 comes out I'll give it a spin and see what happens.

-benjamin
Comment 3 Tim Waugh 2006-01-10 04:56:37 EST
Well, although I'd hope to have gutenprint included, time is getting very tight
for that.  Deferring this particular bug until after gutenprint is in.
Comment 4 Benjamin Kosnik 2006-11-05 10:09:32 EST
This is an update, and status change for this bug. 

On FC6, with

gutenprint-5.0.0-0.15.fc6
gutenprint-cups-5.0.0-0.15.fc6
gutenprint-ppds-es-5.0.0-0.15.fc6

I can get the free drivers to print. There are some limitations, and advantages.

Limitations:
1) "Resolution" can be set from Auto up to 1440 x 1440. Other resolutions, such
as  1440 x 2880 variants, cannot be used.
2) Other parts of the driver, such as "Adjust dot size" and others, do not
really work. Should they be grayed out?
3) error checking for setting printing options is pretty weak: you can set them,
but then the printer is turned off on the CUPS page, and when you start/stop it,
everything is fine. However, printing instantly gets stopped when spooled. It
would be nice to have options that don't work alert you to this fact when you're
setting them.

Advantages:
1) registration, color fidelity, and resolution are much improved over the
proprietary driver. In particular, Super B3/A3+ images have about 5-10mm more
imageable area than other driver, especially on sides when portrait. Banding
issues with proprietary driver not present in gutenberg version. Can image much
finer lines (to .25pt) with gutenberg driver set to 1440. 
2) more paper size selections

I consider this bug fixed in FC6.
Comment 5 Benjamin Kosnik 2006-11-07 04:55:33 EST
in addition, some postscript clipping issues with proprietary driver fixed with
the gutenprint drivers. 

The gutenprint drivers are really nice.

Note You need to log in before you can comment on or make changes to this bug.